<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Document</title>
</head>
<body>
    <!--    Напишите функцию-конструктор, создающую объект,
    реализующий такой функционал: у нас на странице есть вопрос.
    Пр первом клике на него под ним открывается ответ на вопрос.
    При повтором - ответ прячется. Разметку вы найдете в файле.-->
<!--    <a href="" class="question">Девиз дома Баратеонов</a>-->

    <div id="root"></div>

    <script>
        const questionText = "Девиз дома Баратеонов";
        const questionAnswer = "Нам ярость!";

        const question1 = new Question(questionText, questionAnswer, "btn", "btn-red");
        console.log(question1);
    
        const container = document.getElementById("root");
        question1.render(container);

        function Question(question, answer, ...classList) {
            this.text = question;
            this.answer = answer;
            this.classList = classList;
            this.element = null;
            this.open = false;
            this.render = function (container) {
                this.element = document.createElement("a");
                this.element.href = "#";
                this.element.textContent = this.text;
                this.element.className = this.classList.join(" ");
                container.append(this.element);
                this.element.addEventListener("click", (e)=> {
                    e.preventDefault();
                    if(!this.open) {
                        const paragraph = document.createElement("p");
                        paragraph.textContent = this.answer;
                        this.element.after(paragraph);  
                        // this.open = true;       
                    } 
                    else {
                        // this.open = false;
                        this.element.nextElementSibling.remove();
                    }     
                    this.open = !this.open;
                }); 
            }
        }

    </script>
</body>
</html>